Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.query
Class Filters

    java.lang.Object
      |
      +--kodo.query.Filters

public class Filters
extends Object

Helper methods for dealing with JDOQL.

Constructor Summary
`Filters()`

Method Summary
`static Object` | `add(Object o1, Class c1, Object o2, Class c2)` Add the given values.
`static boolean` | `canConvert(Class c1, Class c2)` Return whether an instance of the first class can be converted to an instance of the second.
`static Object` | `convert(Object o, Class type)` Convert the given value to the given type.
`static Object` | `divide(Object o1, Class c1, Object o2, Class c2)` Divide the given values.
`static Object` | `mod(Object o1, Class c1, Object o2, Class c2)` Mod the given values.
`static Object` | `multiply(Object o1, Class c1, Object o2, Class c2)` Multiply the given values.
`static Class` | `promote(Class c1, Class c2)` Given two numeric types, return type they should both be converted to before performing any mathematical operations between them.
`static Object` | `subtract(Object o1, Class c1, Object o2, Class c2)` Subtract the given values.
`static Class` | `unwrap(Class c)` Return the correct primitive type for the given class, if it is a wrapper.
`static Class` | `wrap(Class c)` Return the correct wrapper type for the given class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filters

    public Filters()

Method Detail

### wrap

    public static Class wrap(Class c)

  Return the correct wrapper type for the given class.

### unwrap

    public static Class unwrap(Class c)

  Return the correct primitive type for the given class, if it is a wrapper.

### promote

    public static Class promote(Class c1,
                                Class c2)

  Given two numeric types, return type they should both be converted to before performing any mathematical operations between them. See the JDO spec rules for type promotion.

### canConvert

    public static boolean canConvert(Class c1,
                                     Class c2)

  Return whether an instance of the first class can be converted to an instance of the second.

### convert

    public static Object convert(Object o,
                                 Class type)

  Convert the given value to the given type.

### add

    public static Object add(Object o1,
                             Class c1,
                             Object o2,
                             Class c2)

  Add the given values.

### subtract

    public static Object subtract(Object o1,
                                  Class c1,
                                  Object o2,
                                  Class c2)

  Subtract the given values.

### multiply

    public static Object multiply(Object o1,
                                  Class c1,
                                  Object o2,
                                  Class c2)

  Multiply the given values.

### divide

    public static Object divide(Object o1,
                                Class c1,
                                Object o2,
                                Class c2)

  Divide the given values.

### mod

    public static Object mod(Object o1,
                             Class c1,
                             Object o2,
                             Class c2)

  Mod the given values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.